| IOLink 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CheckerboardImageView::ViewOriginImpl Class Reference

This class is an implementation of the ViewOriginExtension interface. More...

Inheritance diagram for CheckerboardImageView::ViewOriginImpl:

## Public Member Functions
uint64_t | uid () const override
| Returns an unique identifier for current view.
size_t | parentCount () const override
| Returns the count of parents used to create the current view.
std::shared_ptr< ViewOriginExtension > | parent (size_t idx) const override
| Returns, for the given index, the viewOrigin extension of the parent used to create the current view.
ViewDataOrigin | dataOrigin () const override
| Returns the data origin of current view.
std::string | displayName () const override
| Returns the name of the current view to display.
Public Member Functions inherited from iolink::ViewOriginExtension
std::string | toString () const
| String representation of the extension.

## Additional Inherited Members
Static Public Member Functions inherited from iolink::ViewOriginExtension
static std::shared_ptr< ViewOriginExtension > | cast (const std::shared_ptr< Extension > &extension)
| Upcast a generic extension to this specific type.
Static Public Attributes inherited from iolink::ViewOriginExtension
static constexpr size_t | EXTENSION_ID = 0x3
| Identifier used to load the extension using the View::extension method.

## Detailed Description

This class is an implementation of the ViewOriginExtension interface.

With it, we can provide the customer with some information about the origin of the view.

## Member Function Documentation

## ◆ dataOrigin()

ViewDataOrigin CheckerboardImageView::ViewOriginImpl::dataOrigin | ( |  | ) | const
| inline override virtual

Returns the data origin of current view.

Exceptions

  Error | if data origin is not available

Implements iolink::ViewOriginExtension.

Examples
  customImageView.cpp.

## ◆ displayName()

std::string CheckerboardImageView::ViewOriginImpl::displayName | ( |  | ) | const
| inline override virtual

Returns the name of the current view to display.

Exceptions

  Error | if display name is not available

Implements iolink::ViewOriginExtension.

Examples
  customImageView.cpp.

## ◆ parent()

std::shared_ptr< ViewOriginExtension > CheckerboardImageView::ViewOriginImpl::parent | ( | size_t | idx | ) | const
| inline override virtual

Returns, for the given index, the viewOrigin extension of the parent used to create the current view.

Parameters

  idx | index of parent to retrieve

Exceptions

  Error | if the index is out of range

Returns
  a ViewOrigin extension which cannot be null

Implements iolink::ViewOriginExtension.

Examples
  customImageView.cpp.

## ◆ parentCount()

size_t CheckerboardImageView::ViewOriginImpl::parentCount | ( |  | ) | const
| inline override virtual

Returns the count of parents used to create the current view.

Returns
  count of view's parents

Implements iolink::ViewOriginExtension.

Examples
  customImageView.cpp.

## ◆ uid()

uint64_t CheckerboardImageView::ViewOriginImpl::uid | ( |  | ) | const
| inline override virtual

Returns an unique identifier for current view.

Returns
  view identifier

Implements iolink::ViewOriginExtension.

Examples
  customImageView.cpp.

The documentation for this class was generated from the following file:

- example/cpp/ImageView/customImageView.cpp